%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ironic
Version:        12.4.0
Release:        7%{?dist}
Summary:        Puppet module for OpenStack Ironic
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ironic

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.0
Patch0001: 0001-Add-support-for-configuring-ppc64le-nodes.patch
Patch0002: 0002-Expose-power-sync-parameters.patch
Patch0003: 0003-Make-providers-use-auth_url-for-authentication.patch
Patch0004: 0004-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0005: 0005-Correct-default-number-of-threads.patch
Patch0006: 0006-Remove-ironic-inspector-dnsmasq-bind-interfaces-sett.patch
Patch0007: 0007-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0008: 0008-Notify-apache-for-ironic-api-in-wsgi.patch
Patch0009: 0009-Add-support-to-set-option-mtu-in-inspector-dnsmasq.patch
Patch0010: 0010-Remove-PE-requirement-from-metadata.json.patch
Patch0011: 0011-Allow-alternative-source-files-for-tftpboot-ipxe.efi.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-vcsrepo
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Ironic

%prep
%setup -q -n openstack-ironic-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/



%files
%{_datadir}/openstack-puppet/modules/ironic/


%changelog
* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.0-7
- Allow alternative source files for /tftpboot/ipxe.efi
- Remove PE requirement from metadata.json

* Fri Oct 18 2019 Bob Fournier <bfournie@redhat.com> 12.4.0-6
- Add support to set option:mtu in inspector dnsmasq (rhbz#1759207)

* Tue Apr 02 2019 Jon Schlueter <jschluet@redhat.com> 12.4.0-5
- Notify apache for ironic api in wsgi
- update to stable/queens (rhbz#1695311)

* Mon Nov 26 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-4
- Add 'openstack-db' tag to db-sync Exec resource

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-3
- Remove ironic inspector dnsmasq bind-interfaces setting
- Correct default number of threads
- Update Gemfile to pull spec_helper from stable/queens
- Make providers use auth_url for authentication

* Fri Aug 03 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- Expose power sync parameters
- Add support for configuring ppc64le nodes (rhbz#1610635)
- Update to 12.4.0

* Wed Feb 21 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0
